> For the complete documentation index, see [llms.txt](https://docs.1kosmos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.1kosmos.com/mobile-sdk/native/ios/api-reference/classes/passwordrules.md).

# PasswordRules

**public class** **PasswordRules**

* Model class representing password rules (attributes).

### Field Summary

| Type       | Parameter                 | Description                                        |
| ---------- | ------------------------- | -------------------------------------------------- |
| **Int**    | allowInRow                | Minimum consecutive chars allowed in a row.        |
| **Bool**   | allowInRowEnabled         | Maximum no of same characters allowed in a row.    |
| **Int**    | min                       | Minimum password length.                           |
| **Int**    | minAlphaCaps              | Minimum number of alpha-caps allowed.              |
| **Bool**   | minAlphaCapsEnabled       | If minimum alpha-caps check is enabled..           |
| **Bool**   | minEnabled                | If minimum characters check is enabled.            |
| **Int**    | minNumbers                | Minimum number allowed.                            |
| **Bool**   | minNumbersEnabled         | If minimum numbers check is enabled.               |
| **Int**    | minSpecial                | Minimum special characters allowed                 |
| **Bool**   | minSpecialEnabled         | If minimum special characters check is enabled.    |
| **Bool**   | noUsername                | if username must not be used/ allowed in password. |
| **Bool**   | noUsernameEnabled         | if no user name is enabled.                        |
| **String** | specialCharsAllowed       | What special chars are allowed                     |
| **Bool**   | specialCharAllowedEnabled | if special characters are allowed.                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.1kosmos.com/mobile-sdk/native/ios/api-reference/classes/passwordrules.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
